
$(document).ready(function(){
	var data = "po_tbl/data.php";
	$('#data-mahasiswa').load(data);
	
	$("#form-tambah").submit(function(e) {
		e.preventDefault();
		
		$("#error_no_po").html('');
		$("#error_cust_id").html('');
		$("#error_tgl_po").html('');
		
		var dataform = $("#form-tambah").serialize();
		$.ajax({
			url: "po_tbl/input.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_no_po").html(hasil.error.no_po);
					$("#error_cust_id").html(hasil.error.cust_id);
					$("#error_tgl_po").html(hasil.error.tgl_po);
				} else {
					$('#modal-tambah').modal('hide');
					$("#no_po").val('');
					$("#cust_id").val('');
					$("#tgl_po").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).on('click','#edit',function(e){
		e.preventDefault();
		$("#modal-edit").modal('show');
		$.post('po_tbl/edit.php',
			{id:$(this).attr('data-id')},
			function(html){
				$("#data-edit").html(html);
			}   
		);
	});
	
	
	$("#form-edit").submit(function(e) {
		e.preventDefault();
		
		$("#error_no_po").html('');
		$("#error_cust_id").html('');
		$("#error_tgl_po").html('');
		
		var dataform = $("#form-edit").serialize();
		$.ajax({
			url: "po_tbl/update.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_edit_no_po").html(hasil.error.edit_no_po);
					$("#error_edit_cust_id").html(hasil.error.edit_cust_id);
					$("#error_edit_tgl_po").html(hasil.error.edit_tgl_po);
				} else {
					$('#modal-edit').modal('hide');
					$("#no_po").val('');
					$("#cust_id").val('');
					$("#tgl_po").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).ready(function(){
		$('.input-tanggal').datepicker({
			dateFormat: 'yy-mm-dd'
		});		
	});	


});